Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 616774 - <=net-fs/samba-4.2.14 fails configure without '.' in @INC (perl 5.26 , perl_inc.remove('.') ValueError: list.remove(x): x not in list )
Summary: <=net-fs/samba-4.2.14 fails configure without '.' in @INC (perl 5.26 , perl_i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on: CVE-2017-7494
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-04-27 17:40 UTC by Kent Fredric (IRC: kent\n)
Modified: 2018-12-22 17:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2017-04-27 17:40:58 UTC
I don't know if newer versions have fixes for this or not yet, but either way, please keep this bug open until affected samba versions are removed from tree.


Checking for getgrouplist                                                         : ok 
Checking for program perl                                                         : /usr/bin/perl
Checking for program perl                                                         : /usr/bin/perl
Checking for program perl                                                         : /usr/bin/perl
Checking for perl 5.0.0                                                           : ok 5.25.12
Checking for perl $Config{vendorprefix}:                                          : '/usr'   
Checking for perl $Config{vendorarch}:                                            : '/usr/lib64/perl5/vendor_perl/5.25.12/x86_64-linux'
PERL_ARCH_INSTALL_DIR:                                                            : '/usr/lib64/perl5/vendor_perl/5.25.12/x86_64-linux'
Checking for perl $Config{vendorlib}:                                             : '/usr/lib64/perl5/vendor_perl/5.25.12'
PERL_LIB_INSTALL_DIR:                                                             : '/usr/lib64/perl5/vendor_perl/5.25.12'
Traceback (most recent call last):                                                    
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/bin/waf", line 76, in <module>
    Scripting.prepare(t, cwd, VERSION, wafdir)                                        
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/wafadmin/Scripting.py", line 145, in prepare
    prepare_impl(t, cwd, ver, wafdir)                                                 
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/wafadmin/Scripting.py", line 135, in prepare_impl
    main()                                                                                   
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14-abi_x86_64.amd64/wscript", line 330, in main
    wildcard_main(wildcard_cmd)                                                       
  File "./buildtools/wafsamba/samba_wildcard.py", line 110, in wildcard_main          
    fun(ctx)                                                                          
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/wafadmin/Scripting.py", line 241, in configure
    conf.sub_config([''])                                                             
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/wafadmin/Configure.py", line 237, in sub_config
    self.recurse(k, name='configure')                                                        
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14/buildtools/wafadmin/Utils.py", line 634, in recurse
    f(self)                                                                           
  File "/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14-abi_x86_64.amd64/wscript", line 100, in configure
    conf.SAMBA_CHECK_PERL(mandatory=True)                                              
  File "./buildtools/wafsamba/samba_perl.py", line 59, in SAMBA_CHECK_PERL             
    perl_inc.remove('.')                                                              
ValueError: list.remove(x): x not in list                                                     
 * ERROR: net-fs/samba-4.2.14::gentoo failed (configure phase):                                                                    
 *   configure failed                                                                                                   
 *                                                                                                    
 * Call stack:                                                                        
 *     ebuild.sh, line  115:  Called src_configure                                    
 *   environment, line 4426:  Called multilib-minimal_src_configure                                                                                                                                                                                                                   *   environment, line 2723:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'                                                                                                                                                                                      
 *   environment, line 2937:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'                                                                    
 *   environment, line 2584:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 2582:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *   environment, line  469:  Called multilib-minimal_abi_src_configure                                                                                        
 *   environment, line 2717:  Called multilib_src_configure                           
 *   environment, line 3156:  Called waf-utils_src_configure '--enable-fhs' '--sysconfdir=/etc' '--localstatedir=/var' '--with-modulesdir=/usr/lib64/samba' '--with-piddir=/run/samba' '--bundled-libraries=NONE' '--builtin-libraries=NONE' '--disable-rpath' '--disable-rpath-insta
ll' '--nopyc' '--nopyo' '--with-acl-support' '--without-ad-dc' '--without-dnsupdate' '--without-ads' '--without-aio-support' '--disable-avahi' '--without-cluster-support' '--disable-cups' '--without-dmapi' '--without-fam' '--disable-gnutls' '--disable-iprint' '--without-ldap'
'--with-pam' '--with-pam_smbpass' '--with-pammodulesdir=/lib64/security' '--without-quotas' '--without-syslog' '--without-systemd' '--with-system-mitkrb5' '--without-winbind' '--with-shared-modules='
 *   environment, line 5436:  Called die                                                                           
 * The specific snippet of code:                                                                     
 *       CCFLAGS="${CFLAGS}" LINKFLAGS="${CFLAGS} ${LDFLAGS}" "${WAF_BINARY}" "--prefix=${EPREFIX}/usr" "${libdir[@]}" "$@" configure || die "configure failed"
 *                                                                                    
 * If you need support, post the output of `emerge --info '=net-fs/samba-4.2.14::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-fs/samba-4.2.14::gentoo'`.
 * The complete build log is located at '/var/log/portage-build/build/net-fs/samba-4.2.14:20170427-173424.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/net-fs/samba-4.2.14/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-fs/samba-4.2.14/temp/environment'.
 * Working directory: '/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14-abi_x86_64.amd64'
 * S: '/var/tmp/portage/net-fs/samba-4.2.14/work/samba-4.2.14'
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2017-06-07 19:11:48 UTC
Seems this specific issue is fixed in 4.5.10 and newer.

- 4.5.10 fails configure for a different reason ( 
ERROR: System library resolv_wrapper of version 1.1.4 not found, and bundling disabled )

- 4.6.4 and 4.6.5 are both fine
Comment 2 Pacho Ramos gentoo-dev 2018-06-20 09:09:23 UTC
4.5.16 is in stable now
Comment 3 Andreas K. Hüttel gentoo-dev 2018-12-22 17:00:48 UTC
All affected versions have been removed.